%define major	%{version}
%define libname	%mklibname lsp-dsp-lib %{major}
%define devname	%mklibname lsp-dsp-lib -d

Name:		lsp-dsp-lib
Version:	0.5.13
Release:	%mkrel 5
Summary:	DSP library for signal processing
License:	LGPLv3+
Group:		System/Libraries
URL:		https://github.com/sadko4u/lsp-dsp-lib
Source0:	https://github.com/sadko4u/lsp-dsp-lib/releases/download/%{version}/%{name}-%{version}-src.tar.gz

BuildRequires:	make

%description
This library provides set of functions that perform SIMD-optimized
computing on several hardware architectures.

%package -n %{libname}
Summary:	DSP library for digital signal processing (and more)
Group:		System/Libraries

%description -n %{libname}
This library provides set of functions that perform SIMD-optimized
computing on several hardware architectures.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%prep
%setup -q -n %{name}

sed -i 's|\$(MAKE) -s|\$(MAKE)|' Makefile
sed -i 's|\$(MAKE) -s|\$(MAKE)|' src/Makefile

%build
%make_build config \
%ifarch %{arm}
  ARCHITECTURE=arm32 \
%endif
  CFLAGS_EXT="%{optflags}" CXXFLAGS_EXT="%{optflags}" \
  LDFLAGS="%{ldflags}" SO_FLAGS_EXT="%{ldflags}" EXE_FLAGS_EXT="%{ldflags}" \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir}
%make_build

%install
%make_install

find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}-%{version}.so

%files -n %{devname}
%{_includedir}/lsp-plug.in
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lsp-dsp-lib.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5.13-5.mga10
+ Revision: 2196363
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 0.5.13-4.mga9
+ Revision: 1797850
- Mageia 9 Mass Rebuild

* Sun Mar 21 2021 daviddavid <daviddavid> 0.5.13-3.mga9
+ Revision: 1706535
- fix armv7 build with "arm32" flags

* Sun Mar 21 2021 daviddavid <daviddavid> 0.5.13-2.mga9
+ Revision: 1706498
- fix build on armv7

* Sun Mar 21 2021 daviddavid <daviddavid> 0.5.13-1.mga9
+ Revision: 1706488
- new version: 0.5.13

* Sun Dec 20 2020 wally <wally> 0.5.11-5.mga8
+ Revision: 1661806
- fix arm build

* Sun Dec 20 2020 daviddavid <daviddavid> 0.5.11-4.mga8
+ Revision: 1661697
- use cat .config.mk just after make config call

* Sun Dec 20 2020 daviddavid <daviddavid> 0.5.11-3.mga8
+ Revision: 1661693
- search some armv7hl build information for upstream bug report
  * https://github.com/sadko4u/lsp-dsp-lib/issues/16

* Sun Dec 20 2020 wally <wally> 0.5.11-2.mga8
+ Revision: 1661574
- build using our build time flags

* Sun Dec 20 2020 daviddavid <daviddavid> 0.5.11-1.mga8
+ Revision: 1661530
- initial package lsp-dsp-lib (needed for zrythm)

